org.glassfish.jersey.model

## Interface NameBound

All Known Implementing Classes:
  ContractProvider

    public interface NameBound

Model component that can be name bound. A component implementing this interface provides additional information about the name bindings attached to it.

Author:
  Martin Matula
See Also:
  `NameBinding`

### Method Summary

All Methods Instance Methods Abstract Methods
`Collection<Class<? extends Annotation>>` `getNameBindings()` Get the collection of name bindings attached to this component.
`boolean` `isNameBound()` Check if the component is bound or not.

### Method Detail

#### isNameBound

    boolean isNameBound()

Check if the component is bound or not.

Returns:
  `true` if the component is bound, `false` otherwise.

#### getNameBindings

    Collection<Class<? extends Annotation>> getNameBindings()

Get the collection of name bindings attached to this component.

Returns:
  collection of name binding annotation types.